.post-content h1, h2, h3, h4 {
    line-height: 3rem;
}

.post-content pre,
.post-content {
    position: relative;
    overflow: hidden;
    font-family: inherit;

}

.post-content ul {
    margin: 0;
    padding: 0
}

.post-content__info .category {
    color: #fcd53f;
    align-items: self-start;
}

.post-content li {
    list-style: initial;
}

.post-content__description img {
    width: 100%;
    border-radius: 2rem;
}

.copy-button {
    position: absolute;
    top: 15px;
    right: 15px;
    line-height: normal;
    border-radius: 1rem;
    padding: .1rem .5rem;
    background: #fff;
    color: #011627;
    font-weight: 700;
    font-size: .8rem;
}

.copy-button.clicked {
    background: #23bf65;
}

.copy-button .fa-copy {
    margin-left: .5rem;
}

.post-content {
    width: 75%;
}

.post-content__description {
    line-height: 3;
}

.post-content__description p {
    color: #bec8d1;
}

.post-content__cover img {
    box-shadow: 0 0 1px 1px #fff;
}

.post-content__container {
    margin-left: 1rem;
    border-top: 4px solid #27975b;
    padding: 3rem;
}

.post-content__description code {
    line-height: 2;
    border-radius: 1rem;
    display: block;
    padding: 1.5rem 1.2rem;
    direction: ltr;
    text-align: left;
}


.post-content__info, .post-content__share a {
    color: #9d9d9d;
}

.same-category__item {
    background: #ffffff1a;
    margin-bottom: .8rem;
    border-radius: 1.25rem;
    position: relative;
    transition: all ease 500ms;
}
.same-category__item > li {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;
}

.same-category__item:hover {
    background: rgba(102, 102, 102, 0.1);
}

.same-category__item:after {
    transform: translateY(-50%);
    content: '';
    display: block;
    position: absolute;
    height: 40px;
    width: 9px;
    top: 50%;
    background: #23bf65;
    right: 0;
    border-radius: 2.5rem 0 0 2.5rem;
}


.post-sidebar {
    width: 25%;
}

.post-sidebar__container {
    border-top: 4px solid #27975b;
}

.same-category > .d-block.mb-3.fw-semibold.fs-4 {
    border-bottom: 1px solid #23bf64b6;
    padding: 0 0 .875rem 0;
}
.post-item__description {
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.5;
    height: 6rem;
}

@media (max-width: 1199px) {
    .post-content {
        width: 100%;
    }

    .post-sidebar {

        display: none;
    }

    .post-content__container {
        margin-left: 0;
        padding: 1rem;

    }

    .post-content__share > span {
        display: none;
    }
}
